package refl;

import java.lang.reflect.*;

public class ClassWindow extends SimpleWindow
{
    private java.lang.Object obj;
    private java.lang.Class cls;

    public ClassWindow (java.awt.Frame parent, Object n)
    {
        super (parent);
        obj = n;
        cls = obj.getClass ();
        Method [] methods = cls.getMethods ();
        showList (methods);
        setTitle (cls.getName ());
    }

    protected void itemClicked (Object item)
    {
        showInfo ("Click " + item);
    }

}
